﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        pt PT = new pt();

        public MainWindow()
        {
            InitializeComponent();
            PT.Init();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Random ran = new Random();
            try
            {

                    PT.Price = ran.Next(28, 58);;

                    PT.doCalculation();

               
                this.DataContext = PT;
                this.Button1.Content = PT.PriceTrend.Rows[PT.PriceTrend.Rows.Count-1][1].ToString();
                
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message + "\n" + ex.StackTrace);
            }

           
        }


    }

    }

    public class pt
    {

        public double Price { get; set; }


        private DataTable priceTrend = null;
        public DataTable PriceTrend
        {
            get
            {
                priceTrend = priceTrend ?? new DataTable();

                return priceTrend;
            }
        }


        #region "Methods"

        public void Init()
        {
            try
            {
                if (PriceTrend.Columns.Count <= 0)
                {
                    //RealPrice = new Addin_MktPrice_Interface.MarketPrice();

                    PriceTrend.Columns.Add(new DataColumn("C") { Caption = "Current Price" });
                    PriceTrend.Columns.Add(new DataColumn("T") { Caption = "Label for Time" });
                }

                PriceTrend.AcceptChanges();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

        public void doCalculation()
        {
            DataRow dr;//// = default(DataRow);
            Random ran = new Random();

            dr = PriceTrend.NewRow();
            dr.SetField(priceTrend.Columns["C"], this.Price);
            dr.SetField(priceTrend.Columns["T"], priceTrend.Rows.Count + 1);
            ////dr.SetField(priceTrend.Columns["T"], item.Key.Replace("_", "").Replace("-", ""));
            PriceTrend.Rows.Add(dr);

            if (PriceTrend.Rows.Count > 10)
            {
                PriceTrend.Rows.RemoveAt(0);
            }

            PriceTrend.AcceptChanges();

        }

       


        #endregion

    }

